security: preparation and first steps for Role, CdmAuthority and GrantedAuthoritylmpl implement
GrantedAuthority
Target version:
Description

There is no relation in the api between Role, CdmAuthority and GrantedAuthoritylmpl they are connected only via the string
representations. But all are GrantedAuthorities and thus should implement the interface and should provide conversion functionality
which allows to convert from Role and CdmAuthority to GrantedAuthoritylmpl and vice versa.

old subject:

security: merge Role enum and CdmAuthority into GrantedAuthoritylmpl
old description:

There is now an enum for roles: @GrantedAuthoritylmpl.Role@.

It would make more sense however to have all roles as final static instances of GrantedAuthoritylmpl and it would also make sense
to merge eu.etaxonomy.cdm.persistence.hibernate.permission.CdmAuthority into GrantedAuthoritylmpl => 7099

Related issues:
Copied to EDIT - task #7099: Make CdmAuthority a persistable class Closed

Associated revisions

Revision dbf39472 - 10/23/2012 08:40 AM - Andreas Kohlbecker
fixing #3133

Revision f4¢f248d - 10/23/2012 08:40 AM - Andreas Kohlbecker
fixing #3133 (security: Role, CdmAuthority and GrantedAuthoritylmpl implement GrantedAuthority)

History

#1 - 10/10/2012 10:00 AM - Andreas Kohlbecker

- Status changed from New to In Progress
hi cherian | will start working on this today
#2 - 10/10/2012 05:57 PM - Andreas Kohlbecker

- Subject changed from security: merge Role enum and CdmAuthority into GrantedAuthoritylmpl to security: relate Role, CdmAuthority and
GrantedAuthoritylmpl to each other

completely merging all classes together seems not to make fully sense. So we decided to provide some conversion functionality which allows to
convert from Role and CdmAuthority to GrantedAuthoritylmpl and vice versa. Role and CdmAuthority should be in the cdmlib-persistence package.

| am also changing the subject of this ticket accordingly.
#3 - 10/11/2012 09:03 AM - Andreas Kohlbecker
- Subject changed from security: relate Role, CdmAuthority and GrantedAuthoritylmpl to each other to security: Role, CdmAuthority and

GrantedAuthoritylmpl implement GrantedAuthority

#4 - 01/15/2014 06:20 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.3.0 to cdmlib RELEASE 3.3.1

moving unresolved tickets to next release milestone due release of version 3.3

#5 - 03/24/2015 03:48 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.5.0 to cdmlib RELEASE 3.5.1

moving tickets to next milestone

#6 - 05/04/2015 05:08 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.5.1 to cdmlib RELEASE 3.5.2

move open 3.5.1 tickets to next milestone after release

#7 - 05/21/2015 01:53 PM - Katja Luther

- Keywords set to security,

- Target version changed from cdmlib RELEASE 3.5.2 to cdmlib - Reviewed Next Major Release
- Priority changed from Priority08 to Priority11

#8 - 11/30/2017 12:38 PM - Andreas Miiller
- Copied to task #7099: Make CdmAuthority a persistable class added

#9 - 11/30/2017 12:39 PM - Andreas Miiller

- Description updated
Are there still open issues?
#10 - 11/30/2017 03:03 PM - Andreas Kohlbecker

- Subject changed from security: Role, CdmAuthority and GrantedAuthoritylmpl implement GrantedAuthority to security: preparation and first steps for
Role, CdmAuthority and GrantedAuthoritylmpl implement GrantedAuthority

- Status changed from In Progress to Closed

- Target version deleted (Reviewed Next Major Release)

all requirements defined in this issue are now covered by #7099, so we can close this ticked

#11 - 11/30/2017 03:03 PM - Andreas Kohlbecker

- Private changed from Yes to No
